Gentoo Archives: gentoo-commits

From: "Michael Sterrett (mr_bones_)" <mr_bones_@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in games-strategy/dark-oberon: ChangeLog dark-oberon-1.0.2_rc1.ebuild
Date: Fri, 17 Jul 2009 08:06:00
Message-Id: E1MRiS5-00089x-4Y@stork.gentoo.org
mr_bones_    09/07/17 08:05:57

  Modified:             ChangeLog dark-oberon-1.0.2_rc1.ebuild
  Log:
  EAPI=2
  (Portage version: 2.1.6.13/cvs/Linux i686)

Revision  Changes    Path
1.3                  games-strategy/dark-oberon/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-strategy/dark-oberon/ChangeLog?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-strategy/dark-oberon/ChangeLog?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-strategy/dark-oberon/ChangeLog?r1=1.2&r2=1.3

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-strategy/dark-oberon/ChangeLog,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ChangeLog	17 Oct 2007 18:11:05 -0000	1.2
+++ ChangeLog	17 Jul 2009 08:05:57 -0000	1.3
@@ -1,6 +1,10 @@
 # ChangeLog for games-strategy/dark-oberon
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/games-strategy/dark-oberon/ChangeLog,v 1.2 2007/10/17 18:11:05 drac Exp $
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/games-strategy/dark-oberon/ChangeLog,v 1.3 2009/07/17 08:05:57 mr_bones_ Exp $
+
+  17 Jul 2009; Michael Sterrett <mr_bones_@g.o>
+  dark-oberon-1.0.2_rc1.ebuild:
+  EAPI=2
 
   17 Oct 2007; Samuli Suominen <drac@g.o>
   dark-oberon-1.0.2_rc1.ebuild:



1.3                  games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild?r1=1.2&r2=1.3

Index: dark-oberon-1.0.2_rc1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- dark-oberon-1.0.2_rc1.ebuild	17 Oct 2007 18:11:05 -0000	1.2
+++ dark-oberon-1.0.2_rc1.ebuild	17 Jul 2009 08:05:57 -0000	1.3
@@ -1,8 +1,9 @@
-# Copyright 1999-2007 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild,v 1.2 2007/10/17 18:11:05 drac Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-strategy/dark-oberon/dark-oberon-1.0.2_rc1.ebuild,v 1.3 2009/07/17 08:05:57 mr_bones_ Exp $
 
-inherit eutils games
+EAPI=2
+inherit games
 
 MY_PV=${PV/_rc/-RC}
 MY_P=${PN}-${MY_PV}
@@ -21,22 +22,15 @@
 	media-libs/glfw
 	fmod? ( =media-libs/fmod-3* )"
 
-S="${WORKDIR}/${MY_P}"
+S=${WORKDIR}/${MY_P}
 
-src_unpack() {
-	unpack ${A}
-	cd "${S}"
-	epatch "${FILESDIR}/${P}"-gcc41.patch \
-		"${FILESDIR}/${P}"-gentoo.patch
-}
+PATCHES=(
+	"${FILESDIR}/${P}"-gcc41.patch
+	"${FILESDIR}/${P}"-gentoo.patch
+)
 
 src_compile() {
-	cd src
-	if use fmod; then
-		emake SOUND=1 ../${PN} || die "emake failed"
-	else
-		emake ../${PN} || die "emake failed"
-	fi
+	emake -C src $(use fmod && echo "SOUND=1") ../${PN} || die "emake failed"
 }
 
 src_install() {